Description:
Benchmarks for helping in the understanding of native events
by stressing different aspects of the architecture selectively.

Compilation:
make PAPIDIR=/path/to/your/papi/installation


Usage:
./cit_collect -in event_list.txt -out OUTPUT_DIRECTORY -branch -dcr

The following five flags specify the corresponding benchmarks:
  -branch  Branch kernels.
  -dcr     Data cache reading kernels.
  -dcw     Data cache writing kernels.
  -flops   Floating point operations kernels.
  -ic      Instruction cache kernels.

Each line in the event-list file should contain ether the name of a base 
event followed by the number of qualifiers to be appended, or a
fully expanded event with qualifiers followed by the number zero, as in
the following example:

L2_RQSTS 1
ICACHE:MISSES 0
ICACHE:HIT 0
OFFCORE_RESPONSE_0:DMND_DATA_RD:L3_HIT:SNP_ANY 0

